import AudioSource from './sources/audio-source';
import { BaseLoader } from './loaders/base-loader';
import { BaseSource } from './sources/base-source';
import { SourceType } from './sources/source-type';
import { StreamingSource } from './sources/streaming-source';
export default class Resonator {
    private loader;
    private context;
    private scene;
    private graph;
    private dataPool;
    private environmentImpulse;
    constructor(loader?: BaseLoader);
    load(path: string, type?: SourceType): Promise<BaseSource>;
    loadImmediate(path: string, type?: SourceType): AudioSource;
    stream(path: string, type?: SourceType): StreamingSource;
    private createSource;
    setEnvironmentImpulse(file: string): Promise<void>;
    setListenerPosition(x: number, y: number, z: number): void;
    setListenerOrientation(forward: any, up: any): void;
    clearDataPool(): void;
}
